Bug 151448 - anaconda doesn't detect grub installed in MBR of /dev/hdc
anaconda doesn't detect grub installed in MBR of /dev/hdc
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 21:09 EST by Robin Green
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/grub (25 bytes, text/plain)
2005-03-21 14:30 EST, Robin Green
no flags Details
/boot/grub/grub.conf (2.63 KB, text/plain)
2005-03-21 14:31 EST, Robin Green
no flags Details

  None (edit)
Description Robin Green 2005-03-17 21:09:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
Grub is installed on the MBR of /dev/hdc and the /boot partition is /dev/hdc1. I did an upgrade from FC3 to FC4t1 and anaconda couldn't detect the existing grub, so it only offered to install grub afresh (which I declined).

However, this does not really cause any problems other than user confusion, because the kernel upgrade still works.

Version-Release number of selected component (if applicable):
anaconda-10.2.0.27-1

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

[root@pob ~]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw,noatime,data=ordered)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/mapper/VolGroup00-LogVol01 on /root type reiserfs (rw,noatime,data=ordered)
/dev/hdc1 on /boot type ext3 (rw,noatime)
none on /dev/shm type tmpfs (rw)
/root/usr/local on /usr/local type none (rw,bind)
/root/usr/versioned on /usr/versioned type none (rw,bind)
/root/www on /var/www type none (rw,bind)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
Comment 1 Jeremy Katz 2005-03-21 13:28:20 EST
Can you attach /etc/sysconfig/grub and /boot/grub/grub.conf?
Comment 2 Robin Green 2005-03-21 14:30:24 EST
Created attachment 112193 [details]
/etc/sysconfig/grub
Comment 3 Robin Green 2005-03-21 14:31:07 EST
Created attachment 112194 [details]
/boot/grub/grub.conf

Ah, maybe it's something to do with the root (hd0,0) lines in grub.conf?
Comment 4 Jeremy Katz 2005-03-21 15:41:09 EST
Hmmm, that all looks sane.  Can you install the booty package and run
  python /usr/lib/booty/checkbootloader.py

as root?
Comment 5 Robin Green 2005-03-21 15:47:38 EST
[root@pob ~]# python /usr/lib/booty/checkbootloader.py
Found GRUB.
Comment 6 Robin Green 2005-04-22 14:02:05 EDT
Same issue occurs when upgrading to FC4 test 2. So it looks like this is
reproduceable.
Comment 7 Peter Jones 2005-05-04 15:15:57 EDT
I can't reproduce this when I've got:

100M /boot on hdc1
/ and swap on LVM of /dev/hda1 + /dev/hdb1 + /dev/hdc2

Can you provide more details of how your system is set up?  In particular,
/proc/partitions would be useful, as well as the output of each of:

lvm pvs
lvm vgs
lvm lvs

Thanks
Comment 8 John Thacker 2007-01-13 15:14:46 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.